from dynamico import getargs
getargs.add("--nx", type=int,
                    default=64, choices=None,
                    help="number of x points")
getargs.add("--ny", type=int,
                    default=64, choices=None,
                    help="number of y points")
getargs.add("--Lx", type=float,
                    default=8., choices=None,
                    help="Lx")
getargs.add("--Ly", type=float,
                    default=8., choices=None,
                    help="Ly")

args = getargs.parse()

from dynamico.meshes import zeros
from dynamico import meshes
import numpy as np
import netCDF4 as cdf
import argparse

nx, ny, Lx, Ly, llm, nqdyn = args.nx, args.ny,args.Lx, args.Ly, 1, 1

dx,dy=Lx/nx,Ly/ny
mesh = meshes.Cartesian_Mesh(nx,ny,llm,nqdyn,Lx,Ly,0.)
print('Successfully initialized Cartesian mesh')
mesh.ncwrite('cart_%03d_%03d.nc'%(nx,ny))
print('Successfully written Cartesian mesh to NetCDF File')
